/// Blackjack errors
#[derive(Debug, Fail, Copy, Clone, serde::Serialize, serde::Deserialize)]
pub enum BlackJackError {
    /// Player has lost the game, no other actions can be made.
    #[fail(display = "Player has lost the game, no other actions can be made.")]
    PlayerLost,
    /// Player has won the game, no other actions can be made.
    #[fail(display = "Player has won the game, no other actions can be made.")]
    PlayerWon,
}
